"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const rule = {
    meta: {
        docs: {
            url: utils_1.makeDocsURL("iframe-has-title")
        },
        messages: {
            default: "<iframe> elements must have a unique title property."
        }
    },
    create(context) {
        return utils_1.defineTemplateBodyVisitor(context, {
            VElement(node) {
                if (utils_1.getElementType(node) !== "iframe") {
                    return;
                }
                const title = utils_1.getElementAttributeValue(node, "title");
                if (title === null || !["string", "object"].includes(typeof title)) {
                    context.report({ node: node, messageId: "default" });
                }
            }
        });
    }
};
exports.default = rule;
